Subject: bug#45084: so-long mode vs. dired-view-file

From: Phil Sainty <[email-masked]>
Date: Mon, 07 Jun 2021 20:14:11 +1200

Hi Lars,

Thanks for this.  I've actually implemented a more general solution
with default support for the view-mode case, so I'll revert your
changes when I merge the scratch/so-long changes.

https://git.savannah.gnu.org/cgit/emacs.git/commit/?h=scratch/so-long&id=6edeae3b4b7dd5105c9cf0dc0560d4c2c96a85bd

I don't see a problem with leaving your change in place for the interim,
though.  It doesn't handle the `so-long-revert' case, but there's no
need to address that as my changes will deal with it.

-Phil

On 2021-06-06 22:32, Lars Ingebrigtsen wrote:
> Richard Stallman <[email-masked]> writes:
> 
>> dired-view-file does something quite unusual: it visits a file and 
>> puts
>> it in View mode.
>> 
>> I think so-long needs to make a special case for View mode.
>> For instance, if View mode is in effect, it could (1) turn off View 
>> mode,
>> (2) switch modes however it does, then (3) reenable View mode.
> 
> It does feel a bit messy to special-case `view-mode' here, but on the
> other hand, not doing so will make the `v' command in Dired a less
> handy.
> 
> So I've gone ahead with Richard's suggestion here in Emacs 28 --
> `so-long' will now restore the view minor mode if it was switched on.